<div id="YoutubePlayer" tabindex="-1"></div>

<script>
 const Module = {
     /* props */
     player: null,

     /* lifecycle */
     init: function() {
	 this.body = document.querySelector('body')
	 var tag = document.createElement('script');
	 tag.src = "https://www.youtube.com/iframe_api";
	 var firstScriptTag = document.getElementsByTagName('script')[0];
	 firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
     },
     
     handleYoutubeReady: function(YT, $element) {
	 const player = new YT.Player($element, {
	     height: '390',
	     width: '640',
	     videoId: '{{ . }}',
	     playerVars: {
		 version: 3,
		 loop: 1,
		 playlist: '{{ . }}',
		 playsinline: 1,
		 fs: 0,
		 modestbranding: 1,
		 rel: 0,
		 iv_load_policy: 3,
		 controls: 0,
		 mute: 1,
		 autoplay: 1,
	     },
	     events: {
		 'onReady': this.onPlayerReady,
		 'onStateChange': this.onPlayerStateChange
	     }
	 })
     },

     /* methods */
     onPlayerReady: function(event) {
	 event.target.playVideo();
	 DianaTheme.documentReady()
	 
     },
     onPlayerStateChange: function() {
	 if (event.data === YT.PlayerState.ENDED) {
	     this.player.playVideo(); 
	 }
     },
     stopVideo: function() {
	 this.player.stopVideo();
     }
 }

 /* this function is auto-called by Youtube, when their script is
 loaded, by out init method */
 function onYouTubeIframeAPIReady() {
     Module.handleYoutubeReady(YT, document.querySelector('#YoutubePlayer'))
 }

 /* init our module, so everything starts */
 Module.init()
 
</script>
